#include <SPI.h>

/*************************************************** 
  This is a library for our I2C LED Backpacks

  Designed specifically to work with the Adafruit LED Matrix backpacks 
  ----> http://www.adafruit.com/products/872
  ----> http://www.adafruit.com/products/871
  ----> http://www.adafruit.com/products/870

  These displays use I2C to communicate, 2 pins are required to 
  interface. There are multiple selectable I2C addresses. For backpacks
  with 2 Address Select pins: 0x70, 0x71, 0x72 or 0x73. For backpacks
  with 3 Address Select pins: 0x70 thru 0x77

  Adafruit invests time and resources providing this open source code, 
  please support Adafruit and open-source hardware by purchasing 
  products from Adafruit!

  Written by Limor Fried/Ladyada for Adafruit Industries.  
  BSD license, all text above must be included in any redistribution
 ****************************************************/

#include <Wire.h>
#include <Adafruit_GFX.h>
#include "Adafruit_LEDBackpack.h"

Adafruit_8x8matrix matrix = Adafruit_8x8matrix();

int v=0;//smile status, 0 or 1

int b=0;//no smile bit

int c=610;//lower limit
int d=613;//upper limit

void setup() {
  Serial.begin(9600);
  Serial.println("8x8 LED Matrix Test");
  
  matrix.begin(0x70);  // pass in the address

  pinMode (2,OUTPUT);//led eyes setup
  pinMode (5,OUTPUT);
  digitalWrite(2,LOW);
  digitalWrite(5,LOW);
  pinMode(9,INPUT);//input from smile detect head
}

static const uint8_t PROGMEM
  neutral_bmp[] =
  { B00000000,
    B00000000,
    B00000000,
    B00000000,
    B00000000,
    B00000000,
    B01111110,
    B00000000 },
  smile_bmp[] =
  { B00000000,
    B00000000,
    B10000001,
    B10000001,
    B10000001,
    B01000010,
    B00111100,
    B00000000 },
  frown_bmp[] =
  { B00111100,
    B01000010,
    B10100101,
    B10000001,
    B10011001,
    B10100101,
    B01000010,
    B00111100 };
    

void loop() {

  matrix.setRotation(1);
  matrix.setBrightness(5);
  matrix.blinkRate(0);

 v=digitalRead(9);//read from robot head camera
  if (v==0) {//no smile

digitalWrite(2,LOW);
digitalWrite(5,LOW);
  matrix.clear();
  matrix.drawBitmap(0, 0, neutral_bmp, 8, 8, LED_ON);
  matrix.writeDisplay();
  delay(10);
  }

  v=digitalRead(9);//read vision
  

  
  

  if(v==1) {//if true then smile
  digitalWrite(2,HIGH);
  digitalWrite(5,HIGH);
  matrix.clear();
  matrix.drawBitmap(0, 0, smile_bmp, 8, 8, LED_ON);
  
  matrix.writeDisplay();
  
  delay(500);
  }

 
  

 
  
  }


  

  

 
  
  

